Skip to main content
POST
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
products
/
catalogs
Create new catalog
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/products/catalogs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "catalog_id": "SK33",
  "catalog_name": "Sommer"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "catalog_id": "S23",
  "catalog_name": "Sommer"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

catalogs

catalog_id
string

The id you have defined for the catalog. (must not have trailing or leading spaces). An auto-generated catalog_id will be created if no catalog_id is provided

Maximum string length: 255
Example:

"SK33"

catalog_name
string

The catalog's name that will be shown customers

Example:

"Sommer"

Response

Catalog created

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
catalog_id
string
read-only

The id to define which catalog the product is a part of. An auto-generated ID will be created if not provided

Example:

"S23"

catalog_name
string

The catalog's name that will be shown customers

Example:

"Sommer"